import pytest
import requests
from requests_oauthlib import OAuth2Session


@pytest.fixture(scope="function")
def reset_open_session():
    open_session = requests.Session()
    open_session.cookies.clear()
    yield open_session
    open_session.close()


@pytest.fixture(scope="function")
def reset_oauth_session():
    oauth_session = OAuth2Session()
    oauth_session.cookies.clear()
    yield oauth_session
    oauth_session.close()

